//PrintFooter v2.0
//Thorsten Eggeling
//
//SetFooter(1) und RemoveFooter(1) erstellt/entfernt 
//Datum, Uhrzeit, Dateiname und Seitenzahl (Seite X/X)

//SetFooter(2) und RemoveFooter(2) erstellt/entfernt 
//Datum, Uhrzeit, Dateiname

//SetFooter(3) und RemoveFooter(3) erstellt/entfernt 
//Seitenzahlen (Seite X/X)

//SetFooter(4) und RemoveFooter(4) erstellt ein Dokument mit
//Dateiname nur auf der ersten Seite

//SetFooterFirstPage() und RemoveFooter(1) erstellt ein Dokument mit
//Dateiname nur auf der ersten Seite

app.addSubMenu({ cName: "Footer",cUser: "Fuzeile", cParent: "File", nPos: 20 });
app.addMenuItem({ cName: "Setze Fuzeile", cParent: "Footer", cExec: "SetFooter(1)"});
app.addMenuItem({ cName: "Dateiname nur erste Seite", cParent: "Footer", cExec: "SetFooterFirstPage()"});
app.addMenuItem({ cName: "-------------------------------", cParent: "Footer",cExec: "{}"});
app.addMenuItem({ cName: "Entferne Fuzeile", cParent: "Footer", cExec: "RemoveFooter(1)"});

//Pfad in Windowws-Pfad umwandeln
function PathToWinPath(pathArray)
{
var WinPath;
  if (pathArray[1].length==1) { 
  //nur ein Zeichen? Also (hoffentlich) lokales Laufwerk
  WinPath = pathArray[1]+":";
  } else {
  //fr Netzwerklaufwerke \\Server\Freigabe
  WinPath = "\\\\" + pathArray[1];
  };
  
  for (var i = 2; i < pathArray.length; i++)
  {
  WinPath = WinPath + "\\" + pathArray[i];
  }
  return WinPath;
} 

//Pfad und Dateiname nur erste Seite setzen
function SetFooterFirstPage()
{
var pathArray = this.path.split("/");
var sFilePath=PathToWinPath(pathArray); //Pfad im Windows-Format
var Box2Width = 50;
var p = 0; //0=erste Seite
var aRect = this.getPageBox("Crop",p);
var TotWidth = aRect[2] - aRect[0];
var fd = this.addField("xftDate", "text", p, [30,15, TotWidth-30-30,30]);
fd.value = sFilePath;
fd.textSize=6; fd.readonly = true;
fd.alignment="center"; //Ausrichtung zentriert
//fd.alignment="left"; //Ausrichtung links
//fd.alignment="right"; //Ausrichtung rechts
}

//Fuzeile setzen
function SetFooter(ARG)
{
var pathArray = this.path.split("/");
//var FileNM = this.path //Dateiname mit Pfad plattformunabhngiges Format
var FileNM = PathToWinPath(pathArray); //Pfad im Windows-Format
//var FileNM =this.documentFileName  //nur Dateiname
var AcDate = new Date();
var AcDateFormat = "dd.mm.yyyy HH:MM"
//var AcDateFormat = "yyyy/mm/dd"
var Box2Width = 50
for (var p = 0; p < this.numPages; p++)
{
var aRect = this.getPageBox("Crop",p);
var TotWidth = aRect[2] - aRect[0]

if (ARG==1)
{ var fd = this.addField("xftDate", "text", p, [30,15, TotWidth-30-30,30]);
fd.value = "Datum: " + util.printd(AcDateFormat, AcDate) + " (" + FileNM +")";
fd.textSize=6; fd.readonly = true;
}

if (ARG==2)
{ var fd = this.addField("xftDate", "text", p, [30,15, TotWidth-30-30,30]);
fd.value = "Datum: " + util.printd(AcDateFormat, AcDate) + " (" + FileNM +")";
fd.textSize=6; fd.readonly = true;
fd.alignment="center"; //Ausrichtung zentriert
//fd.alignment="left"; //Ausrichtung links
//fd.alignment="right"; //Ausrichtung rechts
}

if (ARG==1 || ARG==3)
{ var bStart=(TotWidth/2)-(Box2Width/2)
var bEnd=((TotWidth/2)+(Box2Width/2))
if (ARG==5){var bStart=(TotWidth-Box2Width-30); var bEnd=(TotWidth-30);}
var fp = this.addField(String("xftPage"+p+1), "text", p, [bStart,30,bEnd,15]);
fp.value = "Seite: " + String(p+1)+ "/" + this.numPages;
fp.textSize=6; fp.readonly = true;
fp.alignment="center";
}
}
}

//Fuzeile entfernen
function RemoveFooter(ARG)
{
if (ARG==1) {var x = this.removeField("xftDate");}
if (ARG==2) {var x = this.removeField("xftDate");}
if (ARG==1 || ARG==3)
{ for (var p = 0; p < this.numPages; p++)
{var x = this.removeField(String("xftPage"+p+1)); }
}
} 